/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/

#include <qcolordialog.h>
#include <qvalidator.h>
#include <limits>
#include <iostream>

void ConfigureColorsDialog::getColor()
{
    QColor color=QColorDialog::getColor();
    colorLabel->setPaletteBackgroundColor(color);
}

void ConfigureColorsDialog::init(){
  using namespace std;  
  cellTypeEdit->setValidator(new QIntValidator(0,numeric_limits<short>::max(),this));

}

void ConfigureColorsDialog::getBorderColor()
{
    QColor color=QColorDialog::getColor();
    borderColorLabel->setPaletteBackgroundColor(color);

    
}


void ConfigureColorsDialog::getContourColor()
{
    QColor color=QColorDialog::getColor();
    contourColorLabel->setPaletteBackgroundColor(color);

    
}
